Fujitsu_WLP-15_2.28x3.092mm_Layout3x5_P0.4mm:
  # from http://www.fujitsu.com/global/documents/products/devices/semiconductor/fram/lineup/MB85RS1MT-DS501-00022-7v0-E.pdf
  fp_r: 0.3       # first pin indicator radius
  fp_d: 0.04      # first pin indicator distance from edge
  fp_z: 0.01      # first pin indicator depth
  ef: 0.0         # 0.05,      # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D: 3.09         # body overall length
  D1: null
  E: 2.28         # body overall width
  E1: null
  A1: 0.08        # body-board separation
  A2: null
  A: 0.25         # body  overall height
  b: 0.20         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.3          # pin (center-to-center) distance
  ex: 0.4         # pin (center-to-center) distance
  sp: 0.0         # seating plane (pcb penetration)
  npx: 5          # number of pins along X axis (width)
  npy: 3          # number of pins along y axis (length)
  excluded_pins: [2, 4, 6, 8, 10, 12, 14] #pins to exclude -> None or "internals"
  molded: null
  old_modelName: "Fujitsu_WLP-15_2.28x3.092mm_Layout3x5_P0.4mm" #old_modelName
  modelName: "Fujitsu_WLP-15_2.28x3.092mm_Layout3x5_P0.4mm"
  rotation: -90 # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-9_1.6x1.6mm_Layout3x3_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/bq27421-g1.pdf
  fp_r: 0.3        # first pin indicator radius
  fp_d: 0.04       # first pin indicator distance from edge
  fp_z: 0.01       # first pin indicator depth
  ef: 0.0          # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 1.6           # body overall length
  E1: null
  E: 1.6           # body overall width
  A1: 0.25         # body-board separation
  A2: null
  A: 0.625         # body  overall height
  b: 0.3           # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.5           # pin (center-to-center) distance
  ex: null         # pin (center-to-center) distance
  sp: 0.0          # seating plane (pcb penetration)
  npx: 3           # number of pins along X axis (width)
  npy: 3           # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-9_3x3_1.6x1.6mm_Pitch0.5mm" # old_modelName
  modelName: "BGA-9_1.6x1.6mm_Layout3x3_P0.5mm"
  rotation: -90    # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Maxim_WLP-12:
  # W121B2+1 from http://pdfserv.maximintegrated.com/package_dwgs/21-0009.PDF
  fp_r: 0.3       # first pin indicator radius
  fp_d: 0.04      # first pin indicator distance from edge
  fp_z: 0.01      # first pin indicator depth
  ef: 0.0         # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 1.6          # body overall length
  E1: null
  E: 2.0          # body overall width
  A1: 0.24        # body-board separation
  A2: null
  A: 0.64         # body  overall height
  b: 0.31         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.5          # pin (center-to-center) distance
  ex: null         # pin (center-to-center) distance
  sp: 0.0         # seating plane (pcb penetration)
  npx: 3          # number of pins along X axis (width)
  npy: 4          # number of pins along y axis (length)
  excluded_pins: ['None'] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: 'Maxim_WLP-12' #old_modelName
  modelName: 'Maxim_WLP-12' #old_modelName
  rotation: -90   # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-16_1.92x1.92mm_Layout4x4_P0.5mm:
  # from http://www.st.com/content/ccc/resource/technical/document/datasheet/group2/bc/cd/62/9e/8f/30/47/69/CD00151267/files/CD00151267.pdf/jcr:content/translations/en.CD00151267.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.04     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 1.92        # body overall length
  E1: null
  E: 1.92        # body overall width
  A1: 0.25       # body-board separation
  A2: null
  A: 0.65        # body overall height
  b: 0.3         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.5         # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 4         # number of pins along X axis (width)
  npy: 4         # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: 'BGA-16_4x4_1.92x1.92mm_Pitch0.5mm' #old_modelName
  modelName: 'BGA-16_1.92x1.92mm_Layout4x4_P0.5mm'
  rotation: -90 # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-25_6.35x6.35mm_Layout5x5_P1.27mm:
  # from http://cds.linear.com/docs/en/datasheet/4624fc.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 6.25        # body overall length
  E1: null
  E: 6.25        # body overall width
  A1: 0.60       # body-board separation
  A2: null
  A: 5.01        # body overall height
  b: 0.6         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 1.27        # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 5         # number of pins along X axis (width)
  npy: 5         # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: 'BGA-25_5x5_6.35x6.35mm_Pitch1.27mm' # old_modelName
  modelName: 'BGA-25_6.35x6.35mm_Layout5x5_P1.27mm'
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-48_8.0x9.0mm_Layout6x8_P0.8mm:
  # from https://www.xilinx.com/support/documentation/package_specs/fs48.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 9.0         # body overall length
  E1: null
  E: 8.0         # body overall width
  A1: 0.30       # body-board separation
  A2: null
  A: 1.2         # body overall height
  b: 0.4         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8         # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 8         # number of pins along X axis (width)
  npy: 6         # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-48_6x8_8.0x9.0mm_Pitch0.8mm" # old_modelName
  modelName: "BGA-48_8.0x9.0mm_Layout6x8_P0.8mm"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-64_9.0x9.0mm_Layout10x10_P0.8mm:
  # from http://www.nxp.com/documents/outline_drawing/SOT926-1.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 9.0         # body overall length
  E1: null
  E: 9.0         # body overall width
  A1: 0.35       # body-board separation
  A2: null
  A: 1.2         # body overall height
  b: 0.4         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8         # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 10        # number of pins along X axis (width)
  npy: 10        # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-64_10x10_9.0x9.0mm_Pitch0.8mm" # old_modelName
  modelName: "BGA-64_9.0x9.0mm_Layout10x10_P0.8mm"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-68_5.0x5.0mm_Layout9x9_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD:
  # from https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/packaging/04r00344-01.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 5.0         # body overall length
  E1: null
  E: 5.0         # body overall width
  A1: 0.20       # body-board separation
  A2: null
  A: 1.05        # body overall height
  b: 0.3         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.5         # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 9         # number of pins along X axis (width)
  npy: 9         # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-68_5.0x5.0mm_Layout9x9_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD" # old_modelName
  modelName: "BGA-68_5.0x5.0mm_Layout9x9_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-81_4.496x4.377mm_Layout9x9_P0.4mm_Ball0.25mm_Pad0.2mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00478-01.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 4.496       # body overall length
  E1: null
  E: 4.377       # body overall width
  A1: 0.13       # body-board separation
  A2: null
  A: 0.46        # body  overall height
  b: 0.25        # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.4         # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 9         # number of pins along X axis (width)
  npy: 9         # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-81_4.496x4.377mm_Layout9x9_P0.4mm_Ball0.25mm_Pad0.2mm_NSMD" # old_modelName
  modelName: "BGA-81_4.496x4.377mm_Layout9x9_P0.4mm_Ball0.25mm_Pad0.2mm_NSMD"
  rotation: -90 # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-90_8.0x13.0mm_Layout2x3x15_P0.8mm:
  # from http://www.issi.com/WW/pdf/42-45S32800J.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 13.0        # body overall length
  E1: null
  E: 8.0         # body overall width
  A1: 0.32       # body-board separation
  A2: null
  A: 1.2         # body overall height
  b: 0.4         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8         # pin (center-to-center) distance
  ex: null       # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 15        # number of pins along X axis (width)
  npy: 9         # number of pins along y axis (length)
  excluded_pins: ["internals", 46, 60, 61, 75, 76, 90] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-90_2x3x15_8.0x13.0mm_Pitch0.8mm" # old_modelName
  modelName: "BGA-90_8.0x13.0mm_Layout2x3x15_P0.8mm"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-96_9.0x13.0mm_Layout2x3x16_P0.8mm:
  # from http://www.mouser.com/ds/2/198/43-46TR16640B-81280BL-706483.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 13.0        # body overall length
  E1: null
  E: 9.0         # body overall width
  A1: 0.32       # body-board separation
  A2: null
  A: 1.2         # body overall height
  b: 0.4         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8         # pin (center-to-center) distance
  ex: null       # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 16        # number of pins along X axis (width)
  npy: 9         # number of pins along y axis (length)
  excluded_pins: ["internals", 49, 64, 65, 80, 81, 96] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-96_2x3x16_9.0x13.0mm_Pitch0.8mm" # old_modelName
  modelName: "BGA-96_9.0x13.0mm_Layout2x3x16_P0.8mm"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-100_6.0x6.0mm_Layout11x11_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD:
  # from https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/packaging/04r00345-01.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 6.0         # body overall length
  E1: null
  E: 6.0         # body overall width
  A1: 0.20       # body-board separation
  A2: null
  A: 1.05        # body overall height
  b: 0.3         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.5         # pin (center-to-center) distance
  ex: null       # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 11        # number of pins along X axis (width)
  npy: 11        # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-100_6.0x6.0mm_Layout11x11_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD" # old_modelName
  modelName: "BGA-100_6.0x6.0mm_Layout11x11_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-100_9.0x9.0mm_Layout10x10_P0.8mm:
  # from http://www.mouser.com/ds/2/198/43-46TR16640B-81280BL-706483.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 9.0         # body overall length
  E1: null
  E: 9.0         # body overall width
  A1: 0.35       # body-board separation
  A2: null
  A: 1.2         # body overall height
  b: 0.4         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8         # pin (center-to-center) distance
  ex: null       # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 10        # number of pins along X axis (width)
  npy: 10        # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-100_10x10_9.0x9.0mm_Pitch0.8mm" # old_modelName
  modelName: "BGA-100_9.0x9.0mm_Layout10x10_P0.8mm"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-100_11.0x11.0mm_Layout10x10_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00223-02.pdf
  fp_r: 0.4      # first pin indicator radius
  fp_d: 0.08     # first pin indicator distance from edge
  fp_z: 0.01     # first pin indicator depth
  ef: 0.0        # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D1: null
  D: 11.0        # body overall length
  E1: null
  E: 11.0        # body overall width
  A1: 0.40       # body-board separation
  A2: null
  A: 1.4         # body overall height
  b: 0.5         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 1.0         # pin (center-to-center) distance
  ex: null       # pin (center-to-center) distance
  sp: 0.0        # seating plane (pcb penetration)
  npx: 10        # number of pins along X axis (width)
  npy: 10        # number of pins along y axis (length)
  excluded_pins: ["internals"] # pins to exclude -> None or "internals"
  molded: null
  old_modelName: "BGA-100_11.0x11.0mm_Layout10x10_P1.0mm_Ball0.5mm_Pad0.4mm_NSMDm" # old_modelName
  modelName: "BGA-100_11.0x11.0mm_Layout10x10_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD"
  rotation: -90  # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-121_9.0x9.0mm_Layout11x11_P0.8mm:
  # from http://cds.linear.com/docs/en/packaging/05081891_A_bga121.pdf
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 9.0
  E: 9.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 11
  npy: 11
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-121_9.0x9.0mm_Layout11x11_P0.8mm"
  modelName: "BGA-121_9.0x9.0mm_Layout11x11_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-121_11x11_12.0x12.0mm_Pitch1.0mm:
  # from http://cds.linear.com/docs/en/packaging/05081891_A_bga121.pdf
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 12.0
  E: 12.0
  D1: null
  E1: null
  A1: 0.3
  A2: null
  A: 4.92
  b: 0.4
  e: 1.0
  ex: null
  sp: 0.0
  npx: 11
  npy: 11
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-121_11x11_12.0x12.0mm_Pitch1.0mm"
  modelName: "BGA-121_12.0x12.0mm_Layout11x11_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-144_7.0x7.0mm_Layout13x13_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00346-00.pdf
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 7.0
  E: 7.0
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 1.05
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 13
  npy: 13
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-144_7.0x7.0mm_Layout13x13_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  modelName: "BGA-144_7.0x7.0mm_Layout13x13_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-144_12x12_13.0x13.0mm_Pitch1.0mm:
  # from http://www.topline.tv/drawings/pdf/BGA%201,0mm%20pitch/LBGA144T1.0-DC128.pdf
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 13.0
  E: 13.0
  D1: null
  E1: null
  A1: 0.6
  A2: null
  A: 1.6
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 12
  npy: 12
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-144_12x12_13.0x13.0mm_Pitch1.0mm"
  modelName: "BGA-144_13.0x13.0mm_Layout12x12_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-169_11.0x11.0mm_Layout13x13_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00470-01.pdf
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 11.0
  E: 11.0
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 1.4
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 13
  npy: 13
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-169_11.0x11.0mm_Layout13x13_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD"
  modelName: "BGA-169_11.0x11.0mm_Layout13x13_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-256_11.0x11.0mm_Layout20x20_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00348-01.pdf
  fp_r: 0.8
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 11.0
  E: 11.0
  D1: null
  E1: null
  A1: 0.3
  A2: null
  A: 1.05
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 20
  npy: 20
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-256_11.0x11.0mm_Layout20x20_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  modelName: "BGA-256_11.0x11.0mm_Layout20x20_P0.5mm_Ball0.3mm_Pad0.25mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-256_14.0x14.0mm_Layout16x16_P0.8mm_Ball0.45mm_Pad0.32mm_NSMD:
  # from https://www.xilinx.com/support/documentation/package_specs/ft256.pdf
  fp_r: 0.8
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 14.0
  E: 14.0
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 1.4
  b: 0.45
  e: 0.8
  ex: null
  sp: 0.0
  npx: 16
  npy: 16
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-256_14.0x14.0mm_Layout16x16_P0.8mm_Ball0.45mm_Pad0.32mm_NSMD"
  modelName: "BGA-256_14.0x14.0mm_Layout16x16_P0.8mm_Ball0.45mm_Pad0.32mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-256_17.0x17.0mm_Layout16x16_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD:
  # from https://www.intersil.com/content/dam/Intersil/documents/v256/v256.17x17.pdf
  fp_r: 0.8
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 17.0
  E: 17.0
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 1.5
  b: 0.4
  e: 1.0
  ex: null
  sp: 0.0
  npx: 16
  npy: 16
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-256_16x16_17.0x17.0mm_Pitch1.0mm"
  modelName: "BGA-256_17.0x17.0mm_Layout16x16_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_BGA-289_15.0x15.0mm_Layout17x17_P0.8mm_Ball0.5mm_Pad0.4mm:
  # from https://www.ti.com/lit/ml/mpbg777/mpbg777.pdf
  fp_r: 0.3       # first pin indicator radius
  fp_d: 0.04      # first pin indicator distance from edge
  fp_z: 0.01      # first pin indicator depth
  ef: 0.0         # 0.05,      # fillet of edges  Note: bigger bytes model with fillet
  cf: null
  cff: null
  D: 15.0         # body overall length
  D1: null
  E: 15.0         # body overall width
  E1: null
  A1: 0.4         # body-board separation
  A2: null
  A: 1.4          # body  overall height
  b: 0.50         # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.8          # pin (center-to-center) distance
  ex: 0.8         # pin (center-to-center) distance
  sp: 0.12        # seating plane (pcb penetration)
  npx: 17         # number of pins along X axis (width)
  npy: 17         # number of pins along y axis (length)
  molded: null
  excluded_pins: null
  modelName: "Texas_BGA-289-15.0x15.0mm_Layout17x17_P0.8mm_Ball0.5mm_Pad0.4mm"
  rotation: -90 # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"


BGA-324_15.0x15.0mm_Layout18x18_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00474-02.pdf
  fp_r: 0.8
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 15.0
  E: 15.0
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 1.4
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 18
  npy: 18
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-324_15.0x15.0mm_Layout18x18_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD"
  modelName: "BGA-324_15.0x15.0mm_Layout18x18_P0.8mm_Ball0.5mm_Pad0.4mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-324_19.0x19.0mm_Layout18x18_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD:
  # from https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/packaging/04r00474-02.pdf
  fp_r: 0.8
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 19.0
  E: 19.0
  D1: null
  E1: null
  A1: 0.5
  A2: null
  A: 1.75
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 18
  npy: 18
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-324_19.0x19.0mm_Layout18x18_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD"
  modelName: "BGA-324_19.0x19.0mm_Layout18x18_P1.0mm_Ball0.5mm_Pad0.4mm_NSMD"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-352_35.0x35.0mm_Layout26x26_P1.27mm:
  # from https://www.fujitsu.com/downloads/MICRO/fma/pdfmcu/b352p05.pdf
  fp_r: 1.0
  fp_d: 0.25
  fp_z: 0.01
  ef: 0.0
  cff: 0.6
  cf: 0.3
  D: 35.0
  E: 35.0
  D1: 25.0
  E1: 25.0
  A1: 0.6
  A2: 2.0
  A: 3.1
  b: 0.6
  e: 1.27
  ex: null
  sp: 0.0
  npx: 26
  npy: 26
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-352_26x26_35.0x35.0mm_Pitch1.27mm"
  modelName: "BGA-352_35.0x35.0mm_Layout26x26_P1.27mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-400_17.0x17.0mm_Layout20x20_P0.8mm:
  # from https://www.xilinx.com/support/documentation/user_guides/ug865-Zynq-7000-Pkg-Pinout.pdf
  fp_r: 0.5
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 17.0
  E: 17.0
  D1: 15.2
  E1: 15.2
  A1: 0.4
  A2: null
  A: 1.47
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 20
  npy: 20
  excluded_pins: ['internals']
  molded: null
  old_modelName: "BGA-400_20x20_17.0x17.0mm_Pitch0.8mm"
  modelName: "BGA-400_17.0x17.0mm_Layout20x20_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-400_21.0x21.0mm_Layout20x20_P1.0mm:
  # from https://www.xilinx.com/support/documentation/package_specs/fg400.pdf
  fp_r: 0.5
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: 0.4
  cf: 0.2
  D: 21.0
  E: 21.0
  D1: 19.0
  E1: 19.0
  A1: 0.5
  A2: 0.6
  A: 2.23
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 20
  npy: 20
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-400_20x20_21.0x21.0mm_Pitch1.0mm"
  modelName: "BGA-400_21.0x21.0mm_Layout20x20_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-484_23.0x23.0mm_Layout22x22_P1.0mm:
  # from https://www.xilinx.com/support/documentation/package_specs/fg484.pdf
  fp_r: 0.8
  fp_d: 0.14
  fp_z: 0.01
  ef: 0.0
  cff: 0.05
  cf: 0.25
  D: 23.0
  E: 23.0
  D1: 20.5
  E1: 20.5
  A1: 0.5
  A2: 1.0
  A: 2.3
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 22
  npy: 22
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-484_22x22_23.0x23.0mm_Pitch1.0mm"
  modelName: "BGA-484_23.0x23.0mm_Layout22x22_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-624_21.0x21.0mm_Layout25x25_P0.8mm:
  # from https://www.nxp.com/docs/en/package-information/SOT1529-1.pdf
  fp_r: 0.5
  fp_d: 0.12
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 21.0
  E: 21.0
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 1.6
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 25
  npy: 25
  excluded_pins: ['internals', 1]
  molded: null
  old_modelName: "BGA-624_25x25_21.0x21.0mm_Pitch0.8mm"
  modelName: "BGA-624_21.0x21.0mm_Layout25x25_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-625_21.0x21.0mm_Layout25x25_P0.8mm:
  # from http://www.analog.com/media/en/technical-documentation/data-sheets/ADSP-TS101S.pdf
  fp_r: 0.8
  fp_d: 0.14
  fp_z: 0.01
  ef: 0.0
  cff: 0.05
  cf: 0.25
  D: 25.0
  E: 25.0
  D1: 16.95
  E1: 16.95
  A1: 0.4
  A2: 0.55
  A: 2.5
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 25
  npy: 25
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-625_25x25_21.0x21.0mm_Pitch0.8mm"
  modelName: "BGA-625_21.0x21.0mm_Layout25x25_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-1023_33.0x33.0mm_Layout32x32_P1.0mm:
  # from https://www.idt.com/document/psc/hmrm-1023-package-outline-33-x-33-mm-body-100-mm-pitch-fcbga IDT_PSC-4260.pdf
  fp_r: 1.0
  fp_d: 0.25
  fp_z: 0.01
  ef: 0.1
  cff: 0.8
  cf: 0.5
  D: 33.2
  E: 33.2
  D1: 30.0
  E1: 30.0
  A1: 0.45
  A2: 1.2
  A: 2.5
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 32
  npy: 32
  excluded_pins: ['internals', 1]
  molded: True
  old_modelName: "BGA-1023_32x32_33.0x33.0mm_Pitch1.0mm"
  modelName: "BGA-1023_33.0x33.0mm_Layout32x32_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-1156_34x34_35.0x35.0mm_Pitch1.0mm:
  # from https://www.xilinx.com/support/documentation/package_specs/pk401_FF_G_1156.pdf
  fp_r: 1.0
  fp_d: 0.25
  fp_z: 0.01
  ef: 0.0
  cff: 0.7
  cf: 0.2
  D: 35.5
  E: 35.5
  D1: 30.0
  E1: 30.0
  A1: 0.5
  A2: 1.0
  A: 2.7
  b: 0.6
  e: 1.0
  ex: null
  sp: 0.0
  npx: 34
  npy: 34
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-1156_34x34_35.0x35.0mm_Pitch1.0mm"
  modelName: "BGA-1156_35.0x35.0mm_Layout34x34_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

BGA-1295_36x36_37.5x37.5mm_Pitch1.0mm:
  # from http://www.datasheets360.com/pdf/6857809988541063510
  fp_r: 2.0
  fp_d: 0.5
  fp_z: 0.01
  ef: 0.1
  cff: 0.4
  cf: 0.2
  D: 37.5
  E: 37.5
  D1: 27.3
  E1: 27.3
  A1: 0.5
  A2: 1.5
  A: 3.19
  b: 0.5
  e: 1.0
  ex: null
  sp: 0.0
  npx: 36
  npy: 36
  excluded_pins: ['internals']
  molded: True
  old_modelName: "BGA-1295_36x36_37.5x37.5mm_Pitch1.0mm"
  modelName: "BGA-1295_37.5x37.5mm_Layout36x36_P1.0mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Analog_BGA-49_6.25x6.25mm_Layout7x7_P0.8mm_Ball0.5mm_Pad0.4mm:
  # from https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/ltc-legacy-bga/05081600_0_bga49.pdf
  fp_r: 0.75
  fp_d: 0.25
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 6.25
  E: 6.25
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 2.1
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 7
  npy: 7
  excluded_pins: null
  molded: null
  old_modelName: "Analog_BGA-49_7x7_6.25x6.25mm_Pitch0.8mm"
  modelName: "Analog_BGA-49_6.25x6.25mm_Layout7x7_P0.8mm_Ball0.5mm_Pad0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Analog_BGA-209_9.5x16mm_Layout11x19_P0.8mm_Ball0.5mm_Pad0.4mm:
  # from https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/ltc-legacy-bga/05081561_bga209.pdf
  fp_r: 0.75
  fp_d: 0.25
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 16.0
  E: 9.5
  D1: null
  E1: null
  A1: 0.4
  A2: null
  A: 4.72
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 19
  npy: 11
  excluded_pins: null
  molded: null
  modelName: "Analog_BGA-209_9.5x16mm_Layout11x19_P0.8mm_Ball0.5mm_Pad0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

NXP_VFBGA-42_2.6x3mm_Layout6x7_P0.4mm_Ball0.25mm_Pad0.24mm:
  # from https://www.nxp.com/docs/en/package-information/SOT1963-1.pdf
  fp_r: 0.5   # first pin indicator radius
  fp_d: 0.2   # first pin indicator distance from edge
  fp_z: 0.01  # first pin indicator depth
  ef: 0.0     # fillet of edges  Note: bigger bytes model with fillet
  cff: null
  cf: null
  D: 3.0      # body overall length
  E: 2.6      # body overall width
  D1: null
  E1: null
  A1: 0.2     # body-board separation
  A2: null
  A: 1.0      # body  overall height
  b: 0.25     # ball pin width diameter with a small extra to obtain a union of balls and case
  e: 0.4      # pin (center-to-center) distance
  ex: null    # pin (center-to-center) distance
  sp: 0.08    # seating plane (pcb penetration)
  npx: 7      # number of pins along X axis (width)
  npy: 6      # number of pins along y axis (length)
  excluded_pins: null
  molded: null
  old_modelName: "NXP_VFBGA-42_6x7_2.6x3mm_Pitch0.4mm"
  modelName: "NXP_VFBGA-42_2.6x3mm_Layout6x7_P0.4mm_Ball0.25mm_Pad0.24mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_DSBGA-8_0.705x1.468mm_Layout2x4_P0.4mm:
  # YBJ pad definition  from https://www.ti.com/lit/ds/symlink/ina234.pdf
  fp_r: 0.2
  fp_d: 0.025
  fp_z: 0.05
  ef: 0.0
  cff: null
  cf: null
  D: 1.468
  E: 0.705
  D1: null
  E1: null
  A1: 0.105
  A2: null
  A: 0.35
  b: 0.18
  e: 0.4
  ex: null
  sp: 0.025
  npx: 4
  npy: 2
  excluded_pins: ['internals']
  molded: null
  old_modelName: "DSBGA-8_2x4_0.9x1.9mm_Pitch0.5mm_Dia0.25mm"
  modelName: "Texas_DSBGA-8_0.705x1.468mm_Layout2x4_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_DSBGA-8_0.9x1.9mm_Layout2x4_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/txb0102.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 1.9
  E: 0.9
  D1: null
  E1: null
  A1: 0.17
  A2: null
  A: 0.5
  b: 0.2
  e: 0.5
  ex: null
  sp: 0.0
  npx: 4
  npy: 2
  excluded_pins: ['internals']
  molded: null
  old_modelName: "DSBGA-8_2x4_0.9x1.9mm_Pitch0.5mm_Dia0.25mm"
  modelName: "Texas_DSBGA-8_0.9x1.9mm_Layout2x4_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_DSBGA-12_1.36x1.86mm_Layout3x4_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/txb0104.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 1.36
  E: 1.86
  D1: null
  E1: null
  A1: 0.17
  A2: null
  A: 0.625
  b: 0.25
  e: 0.5
  ex: null
  sp: 0.0
  npx: 3
  npy: 4
  excluded_pins: ['None']
  molded: null
  old_modelName: "DSBGA-12_3x4_1.36x1.86mm_Pitch0.5mm"
  modelName: "Texas_DSBGA-12_1.36x1.86mm_Layout3x4_P0.5mm"
  rotation: 180
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

LFBGA-100_10x10mm_Layout10x10_P0.8mm:
  # from http://www.st.com/resource/en/datasheet/stm32f103tb.pdf page 87
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 10.0
  E: 10.0
  D1: null
  E1: null
  A1: 0.27
  A2: null
  A: 1.7
  b: 0.5
  e: 0.8
  ex: null
  sp: 0.0
  npx: 10
  npy: 10
  excluded_pins: ['internals']
  molded: null
  old_modelName: "LFBGA-100_10x10mm_Layout10x10_P0.8mm"
  modelName: "LFBGA-100_10x10mm_Layout10x10_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

LFBGA-144_10x10mm_Layout12x12_P0.8mm:
  # from http://www.st.com/resource/en/datasheet/stm32f103ze.pdf page 114
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 10.0
  E: 10.0
  D1: null
  E1: null
  A1: 0.3
  A2: null
  A: 1.7
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 12
  npy: 12
  excluded_pins: ['internals']
  molded: null
  old_modelName: "LFBGA-144_10x10mm_Layout12x12_P0.8mm"
  modelName: "LFBGA-144_10x10mm_Layout12x12_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Linear_BGA-133_15.0x15.0_Layout12x12_P1.27mm:
  # from https://www.analog.com/media/en/technical-documentation/data-sheets/4637fc.pdf page 28
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 15.0
  E: 15.0
  D1: null
  E1: null
  A1: 0.6
  A2: null
  A: 4.92
  b: 0.75
  e: 1.27
  ex: null
  sp: 0.0
  npx: 12
  npy: 12
  excluded_pins: ['internals']
  molded: null
  old_modelName: "Linear_BGA-133_15.0x15.0_Layout12x12_P1.27mm"
  modelName: "Linear_BGA-133_15.0x15.0_Layout12x12_P1.27mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_DSBGA-10_1.36x1.86mm_Layout3x4_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/txs0104e.pdf page 29
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 1.86
  E: 1.36
  D1: null
  E1: null
  A1: 0.17
  A2: null
  A: 0.625
  b: 0.23
  e: 0.5
  ex: null
  sp: 0.0
  npx: 4
  npy: 3
  excluded_pins: ['None']
  molded: null
  old_modelName: "Texas_DSBGA-10_1.36x1.86mm_Layout3x4_P0.5mm"
  modelName: "Texas_DSBGA-10_1.36x1.86mm_Layout3x4_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_DSBGA-49_3.33x3.488mm_Layout7x7_P0.4mm:
  # from http://www.ti.com/lit/ds/symlink/msp430f2234.pdf page 90
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 3.33
  E: 3.488
  D1: null
  E1: null
  A1: 0.05
  A2: null
  A: 0.625
  b: 0.25
  e: 0.4
  ex: null
  sp: 0.0
  npx: 7
  npy: 7
  excluded_pins: ['internals']
  molded: null
  old_modelName: "Texas_DSBGA-49_3.33x3.488mm_Layout7x7_P0.4mm"
  modelName: "Texas_DSBGA-49_3.33x3.488mm_Layout7x7_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_MicroStar_Junior_BGA-12_2.0x2.5mm_Layout4x3_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/txb0104.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 2.0
  E: 2.5
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 0.36
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 3
  npy: 4
  excluded_pins: ['None']
  molded: null
  old_modelName: "Texas_MicroStar_Junior_BGA-12_4x3_2.0x2.5mm_Pitch0.5mm"
  modelName: "Texas_MicroStar_Junior_BGA-12_2.0x2.5mm_Layout4x3_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_MicroStar_Junior_BGA-80_5.0x5.0mm_Layout9x9_P0.5mm:
  # from http://www.ti.com/lit/ds/symlink/tlv320aic23b.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 5.0
  E: 5.0
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 1.0
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 9
  npy: 9
  excluded_pins: ['internals']
  molded: null
  old_modelName: "Texas_MicroStar_Junior_BGA-80_5.0x5.0mm_Layout9x9_P0.5mm"
  modelName: "Texas_MicroStar_Junior_BGA-80_5.0x5.0mm_Layout9x9_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_MicroStar_Junior_BGA-113_7.0x7.0mm_Layout12x12_P0.5mm:
  # from http://www.ti.com/lit/ml/mpbg674/mpbg674.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 7.0
  E: 7.0
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 1.0
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 12
  npy: 12
  excluded_pins: ['internals']
  molded: null
  old_modelName: "Texas_MicroStar_Junior_BGA-113_7.0x7.0mm_Layout12x12_P0.5mm"
  modelName: "Texas_MicroStar_Junior_BGA-113_7.0x7.0mm_Layout12x12_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

Texas_Junior_DSBGA-48_4.0x4.0mm_Layout7x7_P0.5mm:
  # from http://www.ti.com/lit/ml/mpbg309/mpbg309.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 4.0
  E: 4.0
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 0.74
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 7
  npy: 7
  excluded_pins: ['none', 17]
  molded: null
  old_modelName: "Texas_Junior_DSBGA-48"
  modelName: "Texas_Junior_DSBGA-48_4.0x4.0mm_Layout7x7_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-64_5x5mm_Layout8x8_P0.5mm:
  # from http://www.st.com/resource/en/datasheet/stm32f100v8.pdf page 83
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 5.0
  E: 5.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.2
  b: 0.3
  e: 0.5
  ex: null
  sp: 0.0
  npx: 8
  npy: 8
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-64_5x5mm_Layout8x8_P0.5mm"
  modelName: "TFBGA-64_5x5mm_Layout8x8_P0.5mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-100_8x8mm_Layout10x10_P0.8mm:
  # from http://www.st.com/resource/en/datasheet/stm32f746zg.pdf
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 8.0
  E: 8.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 10
  npy: 10
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-100_8x8mm_Layout10x10_P0.8mm"
  modelName: "TFBGA-100_8x8mm_Layout10x10_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-100_9.0x9.0mm_Layout10x10_P0.8mm:
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 9.0
  E: 9.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 10
  npy: 10
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-100_9.0x9.0mm_Layout10x10_P0.8mm"
  modelName: "TFBGA-100_9.0x9.0mm_Layout10x10_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-121_10x10mm_Layout11x11_P0.8mm:
  # from http://ww1.microchip.com/downloads/en/PackagingSpec/00000049BQ.pdf#p495
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 10.0
  E: 10.0
  D1: null
  E1: null
  A1: 0.3
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 11
  npy: 11
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-121_10x10mm_Layout11x11_P0.8mm"
  modelName: "TFBGA-121_10x10mm_Layout11x11_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-216_13x13mm_Layout15x15_P0.8mm:
  # from http://www.st.com/resource/en/datasheet/stm32f746zg.pdf page 219
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 13.0
  E: 13.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 15
  npy: 15
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-216_13x13mm_Layout15x15_P0.8mm"
  modelName: "TFBGA-216_13x13mm_Layout15x15_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-265_14x14mm_Layout17x17_P0.8mm:
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 14.0
  E: 14.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.8
  ex: null
  sp: 0.0
  npx: 17
  npy: 17
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-265_14x14mm_Layout17x17_P0.8mm"
  modelName: "TFBGA-265_14x14mm_Layout17x17_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

TFBGA-636_19.0x19.0mm_Layout28x28_P0.65mm:
  fp_r: 0.3
  fp_d: 0.01
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 19.0
  E: 19.0
  D1: null
  E1: null
  A1: 0.15
  A2: null
  A: 1.1
  b: 0.4
  e: 0.65
  ex: null
  sp: 0.0
  npx: 28
  npy: 28
  excluded_pins: ['internals']
  molded: null
  old_modelName: "TFBGA-636_19.0x19.0mm_Layout28x28_P0.65mm"
  modelName: "TFBGA-636_19.0x19.0mm_Layout28x28_P0.65mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

FBGA-78_7.5x11mm_Layout2x3x13_P0.8mm:
  # from https://www.skhynix.com/product/filedata/fileDownload.do?seq=7687
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 11.0
  E: 7.5
  D1: null
  E1: null
  A1: 0.34
  A2: null
  A: 1.1
  b: 0.45
  e: 0.8
  ex: null
  sp: 0.0
  npx: 13
  npy: 9
  excluded_pins: ['none', 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78]
  molded: null
  old_modelName: "FBGA-78_2x3x13_7.5x11.0mm_Pitch0.8mm"
  modelName: "FBGA-78_7.5x11mm_Layout2x3x13_P0.8mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

ucBGA-49_3x3mm_Layout7x7_P0.4mm:
  #from https://www.latticesemi.com/view_document?document_id=213
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 3.0
  E: 3.0
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 1.0
  b: 0.25
  e: 0.4
  ex: null
  sp: 0.0
  npx: 7
  npy: 7
  excluded_pins: null
  molded: null
  old_modelName: "ucBGA-49_3x3mm_Layout7x7_P0.4mm"
  modelName: "ucBGA-49_3x3mm_Layout7x7_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

ucBGA-36_2.5x2.5mm_Layout6x6_P0.4mm:
  # from https://www.latticesemi.com/view_document?document_id=213
  fp_r: 0.4
  fp_d: 0.08
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 2.5
  E: 2.5
  D1: null
  E1: null
  A1: 0.2
  A2: null
  A: 1.0
  b: 0.25
  e: 0.4
  ex: null
  sp: 0.0
  npx: 6
  npy: 6
  excluded_pins: null
  molded: null
  old_modelName: "ucBGA-36_2.5x2.5mm_Layout6x6_P0.4mm"
  modelName: "ucBGA-36_2.5x2.5mm_Layout6x6_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

WLP-4_0.83x0.83mm_P0.4mm:
  # from https://pdfserv.maximintegrated.com/package_dwgs/21-100107.PDF
  fp_r: 0.2
  fp_d: 0.02
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 0.828
  E: 0.828
  D1: null
  E1: null
  A1: 0.19
  A2: null
  A: 0.5
  b: 0.27
  e: 0.4
  ex: null
  sp: 0.0
  npx: 2
  npy: 2
  excluded_pins: null
  molded: null
  old_modelName: "WLP-4_0.83x0.83mm_P0.4mm"
  modelName: "WLP-4_0.83x0.83mm_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

WLP-4_0.86x0.86mm_P0.4mm:
  # from https://pdfserv.maximintegrated.com/package_dwgs/21-0612.PDF
  fp_r: 0.2
  fp_d: 0.02
  fp_z: 0.01
  ef: 0.0
  cff: null
  cf: null
  D: 0.835
  E: 0.835
  D1: null
  E1: null
  A1: 0.19
  A2: null
  A: 0.5
  b: 0.27
  e: 0.4
  ex: null
  sp: 0.0
  npx: 2
  npy: 2
  excluded_pins: null
  molded: null
  old_modelName: "WLP-4_0.86x0.86mm_P0.4mm"
  modelName: "WLP-4_0.86x0.86mm_P0.4mm"
  rotation: -90
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"

DiodesInc_GEA20_WLCSP-20_1.70x2.10mm_Layout4x5_P0.4mm:
  # from https://www.diodes.com/assets/Package-Files/GEA20.pdf
  fp_r: 0.3       # first pin indicator radius
  fp_d: 0.04      # first pin indicator distance from edge
  fp_z: 0.01      # first pin indicator depth
  ef: 0.0         # fillet of edges  Note: bigger bytes model with fillet
  cf: null        # chamfer of the others corner
  cff: null       # chamfer of the 1st pin corner
  D1: null        # top body overall length
  D: 2.1          # body overall length
  E1: null        # body overall lenght
  E: 1.7          # body overall width
  A1: 0.2         # body-board separation
  A2: null        # body height or body bottom height optional, needed for molded
  A: 0.49         # body overall height
  b: 0.26         # ball pin width diameter
  e: 0.4          # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0         # seating plane (pcb penetration)
  npx: 5          # number of pins along X axis (width)
  npy: 4          # number of pins along y axis (length)
  excluded_pins: null # pins to exclude
  molded: null    # molded = True, omitted -> None
  old_modelName: "DiodesInc_GEA20_WLCSP-20_1.70x2.10mm_Layout4x5_P0.4mm" # old_modelName
  modelName: "DiodesInc_GEA20_WLCSP-20_1.70x2.10mm_Layout4x5_P0.4mm" # modelName
  rotation: -90   # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"
  library_name: "Package_CSP"

WLCSP-9_1.21x1.22mm_P0.4mm:
  # from https://www.analog.com/media/en/package-pcb-resources/package/pkg_pdf/wlcspcb/cb_9_3.pdf
  fp_r: 0.3       # first pin indicator radius
  fp_d: 0.04      # first pin indicator distance from edge
  fp_z: 0.01      # first pin indicator depth
  ef: 0.0         # fillet of edges  Note: bigger bytes model with fillet
  cf: null        # chamfer of the others corner
  cff: null       # chamfer of the 1st pin corner
  D1: null        # top body overall length
  D: 1.22         # body overall length
  E1: null        # body overall lenght
  E: 1.21         # body overall width
  A1: 0.2         # body-board separation
  A2: null        # body height or body bottom height optional, needed for molded
  A: 0.6          # body overall height
  b: 0.267        # ball pin width diameter
  e: 0.4          # pin (center-to-center) distance
  ex: null        # pin (center-to-center) distance
  sp: 0.0         # seating plane (pcb penetration)
  npx: 3          # number of pins along X axis (width)
  npy: 3          # number of pins along y axis (length)
  excluded_pins: null # pins to exclude
  molded: null    # molded = True, omitted -> None
  old_modelName: "WLCSP-9_1.21x1.22mm_P0.4mm" # old_modelName
  modelName: "WLCSP-9_1.21x1.22mm_P0.4mm" # modelName
  rotation: -90   # rotation if required
  body_bot_color_key: "dark green body"
  body_color_key: "black body"
  pins_color_key: "metal grey pins"
  marking_color_key: "light brown label"
  library_name: "Package_CSP"
